apply plugin: 'com.android.application'

android {
    compileSdkVersion 33
    buildToolsVersion "33.0.1"
    useLibrary 'org.apache.http.legacy'
    defaultConfig {
        applicationId "com.sipai.js"
        minSdkVersion 23
        targetSdkVersion 29
        multiDexEnabled true
        versionCode 136
        versionName "1.36"
        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
        ndk {
            abiFilters "armeabi", 'armeabi-v7a', 'arm64-v8a'
        }
    }

    signingConfigs {
        release {
            storeFile file("../jssw.jks")
            storePassword "password123"
            keyAlias "jssw"
            keyPassword "password123"
        }
    }

    buildTypes {
        release {
            signingConfig signingConfigs.release
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }
    compileOptions {
        sourceCompatibility 1.8
        targetCompatibility 1.8
    }

    configurations.all {
        resolutionStrategy {
            //force 'androidx.core:core-ktx:1.6.0'
            force 'androidx.core:core:1.6.0'
        }
    }

    sourceSets {
        main {
            jniLibs.srcDirs = ['libs']
            res.srcDirs = [
                    'src/main/res',
                    'src/main/res/layout/main',
                    'src/main/res/layout/alarm',
                    'src/main/res/layout/fragment_fifth',
                    'src/main/res/layout/fragment_main',
                    'src/main/res/layout/monitor_screen',
                    'src/main/res/layout/setting',
                    'src/main/res/layout/statement',
                    'src/main/res/layout/login',
                    'src/main/res/layout/fault',
                    'src/main/res/layout/patrol',
                    'src/main/res/layout/ui',
                    'src/main/res/layout/nfc',
                    'src/main/res/layout/webv',
                    'src/main/res/layout/equ',
                    'src/main/res/layout/message',
                    'src/main/res/layout/layout_production_monitoring'
            ]
        }
    }

}

dependencies {
    implementation fileTree(dir: 'libs', include: ['*.jar'])
    implementation project(':swipemenulib')
    implementation project(':superlibrary')
    implementation 'com.github.f0ris.sweetalert:library:1.5.1'
//    implementation 'org.litepal.guolindev:core:3.2.3'
    implementation 'com.github.pinguo-zhouwei:custompopwindow:2.1.1'
    implementation 'androidx.appcompat:appcompat:1.1.0'
    implementation 'androidx.constraintlayout:constraintlayout:1.1.3'
    implementation 'com.kyleduo.switchbutton:library:2.0.0'
    implementation 'q.rorbin:badgeview:1.1.3'
    implementation 'com.google.code.gson:gson:2.8.6'
    implementation 'com.squareup.okhttp3:okhttp:3.4.1'
    implementation 'com.github.devlight.navigationtabstrip:navigationtabstrip:1.0.4'
    implementation 'androidx.recyclerview:recyclerview:1.0.0'
    implementation 'androidx.cardview:cardview:1.0.0'
    implementation 'com.github.bumptech.glide:glide:3.7.0'
    implementation 'com.github.devlight.shadowlayout:library:1.0.2'
    implementation 'de.hdodenhof:circleimageview:2.1.0'
    implementation 'org.xutils:xutils:3.3.36'
    testImplementation 'junit:junit:4.12'
    androidTestImplementation 'androidx.test:runner:1.2.0'
    androidTestImplementation 'androidx.test.espresso:espresso-core:3.2.0'
//    implementation project(path: ':xAlertDialogLibrary')
    implementation files('libs\\NativeImgCompress.jar')
    implementation 'com.github.yuzhiqiang1993:zxing:2.2.5'
    implementation 'com.android.support:multidex:1.0.3'
    implementation 'com.github.Hitomis:transferee:1.6.1'
    implementation 'com.haozhang.libary:android-slanted-textview:1.2'

// 单独添加核心 module Transferee, 之后至少还需要添加以下三种图片加载器中的一种
    implementation 'com.github.Hitomis.transferee:Transferee:1.6.1'

// 添加 Glide 图片加载器
    implementation 'com.github.Hitomis.transferee:GlideImageLoader:1.6.1'

// 添加 Picasso 图片加载器
    implementation 'com.github.Hitomis.transferee:PicassoImageLoader:1.6.1'

// 添加 Universal 图片加载器
    implementation 'com.github.Hitomis.transferee:UniversalImageLoader:1.6.1'

    //mqtt
    implementation 'com.github.hannesa2:paho.mqtt.android:3.5.0'

    //echart
    implementation 'com.github.abel533:ECharts:3.0.0.2'
    implementation 'com.contrarywind:Android-PickerView:4.1.9'

    implementation  'io.github.scwang90:refresh-layout-kernel:2.0.6'      //核心必须依赖
    implementation  'io.github.scwang90:refresh-header-classics:2.0.6'
    implementation  'io.github.scwang90:refresh-footer-classics:2.0.6'
}
